import { Request, Response } from "express";
import Stripe from "stripe";

const stripe = new Stripe(process.env.STRIPE_SECRET_KEY as string);

export async function CreatePaymentIntent(req: Request, res: Response) {
  const paymentIntent = await stripe.paymentIntents.create({
    amount: 1,
    currency: "eur",
  });

  res.send({
    clientSecret: paymentIntent.client_secret,
  });
}
